# fn() upgmaTree
Computes a guide tree from a distance matrix.

Defined in | <seqan/graph_msa.h>
Signature | `void upgmaTree(mat, tree[, tag]);`

## Parameters

`mat` | A matrix with pairwise distance values. Can be a String representing a (dense) square matrix or a UndirectedGraph where each edge weight corresponds to the distance between sequence i and j (if the edge is present).
`tree` | An undirected guide tre.
`tag` | Tag indicating how to calcualte the cluster distances. See: UpgmaConfiguratorTags. Default: `UpgmaWeightAvg`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn upgmaTree
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Computes a guide tree from a distance matrix.
     *
     * @signature void upgmaTree(mat, tree[, tag]);
     *
     * @param[in] mat A matrix with pairwise distance values. Can be a @link String
     *                @endlink representing a (dense) square matrix or a @link
     *                UndirectedGraph @endlink where each edge weight corresponds to
     *                the distance between sequence i and j (if the edge is
     *                present).
     * @param[out] tree An undirected guide tre.
     * @param[in] tag Tag indicating how to calcualte the cluster distances. See:
     *                @link UpgmaConfiguratorTags @endlink. Default:
     *                <tt>UpgmaWeightAvg</tt>.
     */